//Copyright 2011 Desire2Learn Incorporated
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.





/*! \mainpage D2L Campus Life Module System
 *
 * \section intro_sec Introduction
 *
 * Each feature available in a Campus Life application is implemented
 * as a "module".  Using the Module SDK, developers can create custom
 * modules to add additional features to Campus Life applications.
 * 
 * These documents describe the code interfaces used when creating
 * CampusLife modules for iOS.  For more information on the module
 * development process, see <a href="http://code.google.com/p/desire2learn-valence/wiki/MobileSDK">the Mobile Module dev wiki</a>.
 *
 * \section starting_sec Where to Start
 *
 * Modules should #import "D2LModuleSystem.h" to access all the classes in this SDK.
 *
 * Modules must implement the protocol D2LModule in order to be initialized and launched by the framework.
 *
 * Modules interact with the host app through D2LModuleAssistant and D2LModuleServices objects.
 *
 * App branding information is exposed through the D2LModuleBrand object.
 *
 * \section more More 
 *
 * Additional documentation is available <a href="http://code.google.com/p/desire2learn-valence/wiki/MobileSDK">on the Mobile Module dev wiki</a> 
 */





#import "D2LModule.h"
#import "D2LModuleAssistant.h"
#import "D2LModuleBrand.h"
#import "D2LModuleServices.h"
#import "D2LModuleTestBed.h"
#import "D2LModuleScreenshotAssistant.h"
