//Copyright 2011 Desire2Learn Incorporated
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.


#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

/**
 * The shared services object provides general helper methods that are
 * not specific to a single instance of your module.
 */

@interface D2LModuleServices : NSObject

/**
 * Returns the shared services object.
 *
 * @return The shared services object.
 */
+ (D2LModuleServices *)sharedServices;

/**
 * Opens the given URL in the host application's internal browser.
 *
 * @param url - The URL to open.
 */
- (void)openURL:(NSURL *)url;

@end
