//Copyright 2011 Desire2Learn Incorporated
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.


#import <Foundation/Foundation.h>
#import <D2LModuleSDK/D2LModuleSDK.h>

/**
 * Sample module illustrating implementation of the D2LModule protocol.
 */

@interface LVDModule : NSObject <D2LModule> 
{
	id<D2LModuleAssistant> _moduleAssistant;
	UIViewController * _viewController;
}

@property (nonatomic,retain) id<D2LModuleAssistant> assistant;
@property (nonatomic,retain) UIViewController *viewController;

/** 
 * Called at startup to load an instance of a module.
 */
- (id)initWithAssistant:(id<D2LModuleAssistant>)assistant;

/**
 * Called just before the module is opened.
 */
- (void)moduleWillOpen;

/** 
 * Returns the root view controller for the module.  Called once per module launch.
 */
- (UIViewController *)getViewController;

/**
 * Called after the module has been closed.
 */
- (void)moduleWillClose;

/**
 * Callback method for the view controller.
 */
-(void)closeRequested;

@end
