//Copyright 2011 Desire2Learn Incorporated
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.


#import "LVDModule.h"
#import "LVDModuleRootViewController.h"


@implementation LVDModule

@synthesize assistant = _assistant;
@synthesize viewController = _viewController;

- (id)initWithAssistant:(id<D2LModuleAssistant>)assistant
{
	self = [super init];
	if (self)
	{
        //-- Retain the Module Assistant to access module-specific services.
        self.assistant = assistant;
    }
	
	return self;
				
}
- (void)dealloc
{	
    //-- Release retained properties.
    self.assistant = nil;
    self.viewController = nil;
	
	[super dealloc];
}						
						
						
- (void)moduleWillOpen
{
	LVDModuleRootViewController *controller = [[LVDModuleRootViewController alloc] initWithNibName:@"LVDModuleRootViewController" bundle:nil];
	[controller setCloseDelegate:self withAction:@selector(closeRequested)];
    [controller setDisplayText:[self.assistant stringForOption:@"Message"]];
    self.viewController = controller;
    [controller release];
}

- (UIViewController *)getViewController
{
    return self.viewController;
}

- (void)moduleWillClose
{
    self.viewController = nil;
}

-(void)closeRequested
{
    [self.assistant dismiss];
}

@end
