//Copyright 2011 Desire2Learn Incorporated
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.


#import <UIKit/UIKit.h>
#import "LVDModule.h"

/**
 * View controller for sample module.
 */

@interface LVDModuleRootViewController : UIViewController {
	id _closeDelegate;
    SEL _closeAction;
    
    NSString *_displayText;
    UILabel *_titleLabel;
    UILabel *_messageLabel;
    UIToolbar *_toolbar;
}

@property (nonatomic,assign) id closeDelegate;
@property (nonatomic,assign) SEL closeAction;
@property (nonatomic,retain) NSString *displayText;
@property (nonatomic,retain) IBOutlet UILabel *titleLabel;
@property (nonatomic,retain) IBOutlet UILabel *messageLabel;
@property (nonatomic,retain) IBOutlet UIToolbar *toolbar;

- (void)setCloseDelegate:(id)closeDelegate withAction:(SEL)closeAction;
- (IBAction)doneClicked:(id)sender;

@end
