//Copyright 2011 Desire2Learn Incorporated
//
//Licensed under the Apache License, Version 2.0 (the "License");
//you may not use this file except in compliance with the License.
//You may obtain a copy of the License at
//
//http://www.apache.org/licenses/LICENSE-2.0
//
//Unless required by applicable law or agreed to in writing, software
//distributed under the License is distributed on an "AS IS" BASIS,
//WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//See the License for the specific language governing permissions and
//limitations under the License.



#import "LVDModuleRootViewController.h"
#import <D2LModuleSDK/D2LModuleSDK.h>


@implementation LVDModuleRootViewController

@synthesize closeDelegate = _closeDelegate;
@synthesize closeAction = _closeAction;
@synthesize displayText = _displayText;
@synthesize titleLabel = _titleLabel;
@synthesize messageLabel = _messageLabel;
@synthesize toolbar = _toolbar;


- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];

	return self;
}

- (void)dealloc {
    self.closeDelegate = nil;
    self.displayText = nil;
    self.titleLabel = nil;
    self.messageLabel = nil;
    self.toolbar = nil;
    [super dealloc];
}

- (void)viewDidLoad {
    [[D2LModuleBrand sharedBrand] applyPortraitBackgroundToView:self.view];
    [[D2LModuleBrand sharedBrand] applyStyleToToolbar:self.toolbar];
    [[D2LModuleBrand sharedBrand] applyStyleToLabel:self.titleLabel];
    self.messageLabel.text = self.displayText;
}

- (void)viewDidUnload {
    self.titleLabel = nil;
    self.messageLabel = nil;
    self.toolbar = nil;
}

- (void)setCloseDelegate:(id)closeDelegate withAction:(SEL)closeAction {
    self.closeDelegate = closeDelegate;
    self.closeAction = closeAction;
}

- (IBAction)doneClicked:(id)sender {
    [self.closeDelegate performSelector:self.closeAction];
}


@end
